Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006747OCamltools (ocaml{lex,yacc,dep,debug,...})public2015-01-11 04:082015-05-12 02:43
Reportermaverickwoo 
Assigned Todoligez 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformDarwinOSOS XOS Version10.9
Product Version4.02.1 
Target Version4.02.2+dev / +rc1Fixed in Version4.02.2+dev / +rc1 
Summary0006747: ocamlobjinfo: missing symbol caml_plugin_header due to underscore
DescriptionRunning ocamlobjinfo on any cmxs file in OS X reports:
Error: missing symbol caml_plugin_header

This is because the symbol has an extra underscore. Example output from nm:
00000000000051e0 D _caml_plugin_header
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0013636)
doligez (administrator)
2015-04-02 06:38

I have a patch and I'd like to test it before I commit. Can you tell me how you got libbfd installed on your Mac OS X ?
(0013645)
maverickwoo (reporter)
2015-04-05 23:49

I install binutils 2.24 through macports. The actual command line I used is the following since in my work I also need to parse elf and pe:

port install -s binutils configure.post_args=--enable-targets=i386-elf,i386-pe,x86_64-darwin
(0013650)
doligez (administrator)
2015-04-08 17:28

Didn't you have to make some symlinks in /opt/local/lib to libiberty.a (and maybe some others, I don't remember)?
(0013651)
maverickwoo (reporter)
2015-04-08 17:59

Indeed.

/opt/local/lib/gcc48/x86_64/libiberty.a is provided by: gcc48

and I have a symlink

/opt/local/lib/libiberty.a -> /opt/local/lib/gcc48/x86_64/libiberty.a

Thanks!
(0013901)
doligez (administrator)
2015-05-12 02:43

Fixed in 4.02 branch (rev 16110).

- Issue History
Date Modified Username Field Change
2015-01-11 04:08 maverickwoo New Issue
2015-01-14 00:05 doligez Status new => acknowledged
2015-01-14 00:05 doligez Target Version => 4.02.2+dev / +rc1
2015-04-02 06:38 doligez Note Added: 0013636
2015-04-02 06:38 doligez Status acknowledged => feedback
2015-04-05 23:49 maverickwoo Note Added: 0013645
2015-04-05 23:49 maverickwoo Status feedback => new
2015-04-08 17:28 doligez Note Added: 0013650
2015-04-08 17:28 doligez Assigned To => doligez
2015-04-08 17:28 doligez Status new => feedback
2015-04-08 17:59 maverickwoo Note Added: 0013651
2015-04-08 17:59 maverickwoo Status feedback => assigned
2015-05-12 02:43 doligez Note Added: 0013901
2015-05-12 02:43 doligez Status assigned => closed
2015-05-12 02:43 doligez Resolution open => fixed
2015-05-12 02:43 doligez Fixed in Version => 4.02.2+dev / +rc1
2016-12-07 16:37 doligez Category OCaml tools (ocaml{lex,yacc,dep,browser,debug}) => OCaml tools (ocaml{lex,yacc,dep,debug})
2017-02-23 16:45 doligez Category OCaml tools (ocaml{lex,yacc,dep,debug}) => tools (ocaml{lex,yacc,dep,debug,...})


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker